# -*- coding: utf-8 -*-
# Copyright (C) 2021 mhertz <yourname@example.com>
#
# Basic plugin template created by the Deluge Team.
#
# This file is part of removefinished and is licensed under GNU GPL 3.0, or later,
# with the additional special exception to link portions of this program with
# the OpenSSL library. See LICENSE for more details.
from __future__ import unicode_literals

import logging

from deluge.plugins.pluginbase import CorePluginBase
import deluge.component as component
from twisted.internet import reactor

log = logging.getLogger(__name__)

class Core(CorePluginBase):
    def enable(self):
        component.get("EventManager").register_event_handler("TorrentFinishedEvent", self.z)

    def disable(self):
        component.get("EventManager").deregister_event_handler("TorrentFinishedEvent", self.z)

    def update(self):
        pass

    def z(self, torrent_id):
        def f():
            component.get("Core").remove_torrent(torrent_id,False)
        reactor.callLater(1,f)
